Index: uspace/drv/bus/usb/vhc/hub/hub.c
===================================================================
--- uspace/drv/bus/usb/vhc/hub/hub.c	(revision 5a6cc679876514e29ac7899053554db66db754d9)
+++ uspace/drv/bus/usb/vhc/hub/hub.c	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -68,24 +68,25 @@
 
 /** Convert hub port state to a char. */
-char hub_port_state_to_char(hub_port_state_t state) {
+char hub_port_state_to_char(hub_port_state_t state)
+{
 	switch (state) {
-		case HUB_PORT_STATE_NOT_CONFIGURED:
-			return '-';
-		case HUB_PORT_STATE_POWERED_OFF:
-			return 'O';
-		case HUB_PORT_STATE_DISCONNECTED:
-			return 'X';
-		case HUB_PORT_STATE_DISABLED:
-			return 'D';
-		case HUB_PORT_STATE_RESETTING:
-			return 'R';
-		case HUB_PORT_STATE_ENABLED:
-			return 'E';
-		case HUB_PORT_STATE_SUSPENDED:
-			return 'S';
-		case HUB_PORT_STATE_RESUMING:
-			return 'F';
-		default:
-			return '?';
+	case HUB_PORT_STATE_NOT_CONFIGURED:
+		return '-';
+	case HUB_PORT_STATE_POWERED_OFF:
+		return 'O';
+	case HUB_PORT_STATE_DISCONNECTED:
+		return 'X';
+	case HUB_PORT_STATE_DISABLED:
+		return 'D';
+	case HUB_PORT_STATE_RESETTING:
+		return 'R';
+	case HUB_PORT_STATE_ENABLED:
+		return 'E';
+	case HUB_PORT_STATE_SUSPENDED:
+		return 'S';
+	case HUB_PORT_STATE_RESUMING:
+		return 'F';
+	default:
+		return '?';
 	}
 }
@@ -234,26 +235,26 @@
 
 	switch (state) {
-		case HUB_PORT_STATE_POWERED_OFF:
-			clear_port_status_change(port, HUB_STATUS_C_PORT_CONNECTION);
-			clear_port_status_change(port, HUB_STATUS_C_PORT_ENABLE);
-			clear_port_status_change(port, HUB_STATUS_C_PORT_RESET);
-			break;
-		case HUB_PORT_STATE_RESUMING:
-			port->state = state;
-			set_port_state_delayed(hub, port_index,
-			    10, state, HUB_PORT_STATE_ENABLED);
-			break;
-		case HUB_PORT_STATE_RESETTING:
-			port->state = state;
-			set_port_state_delayed(hub, port_index,
-			    10, state, HUB_PORT_STATE_ENABLED);
-			break;
-		case HUB_PORT_STATE_ENABLED:
-			if (port->state == HUB_PORT_STATE_RESETTING) {
-				set_port_status_change(port, HUB_STATUS_C_PORT_RESET);
-			}
-			break;
-		default:
-			break;
+	case HUB_PORT_STATE_POWERED_OFF:
+		clear_port_status_change(port, HUB_STATUS_C_PORT_CONNECTION);
+		clear_port_status_change(port, HUB_STATUS_C_PORT_ENABLE);
+		clear_port_status_change(port, HUB_STATUS_C_PORT_RESET);
+		break;
+	case HUB_PORT_STATE_RESUMING:
+		port->state = state;
+		set_port_state_delayed(hub, port_index,
+		    10, state, HUB_PORT_STATE_ENABLED);
+		break;
+	case HUB_PORT_STATE_RESETTING:
+		port->state = state;
+		set_port_state_delayed(hub, port_index,
+		    10, state, HUB_PORT_STATE_ENABLED);
+		break;
+	case HUB_PORT_STATE_ENABLED:
+		if (port->state == HUB_PORT_STATE_RESETTING) {
+			set_port_status_change(port, HUB_STATUS_C_PORT_RESET);
+		}
+		break;
+	default:
+		break;
 	}
 
@@ -336,6 +337,5 @@
 	}
 
-	uint32_t status;
-	status = MAKE_BYTE(
+	uint32_t status = MAKE_BYTE(
 	    /* Current connect status. */
 	    port->connected_device == NULL ? 0 : 1,
@@ -344,5 +344,5 @@
 	    /* Suspend. */
 	    (port->state == HUB_PORT_STATE_SUSPENDED)
-		|| (port->state == HUB_PORT_STATE_RESUMING) ? 1 : 0,
+	    || (port->state == HUB_PORT_STATE_RESUMING) ? 1 : 0,
 	    /* Over-current. */
 	    0,
@@ -350,7 +350,7 @@
 	    port->state == HUB_PORT_STATE_RESETTING ? 1 : 0,
 	    /* Reserved. */
-	    0, 0, 0)
-
-	    | (MAKE_BYTE(
+	    0, 0, 0);
+
+	status |= MAKE_BYTE(
 	    /* Port power. */
 	    port->state == HUB_PORT_STATE_POWERED_OFF ? 0 : 1,
@@ -359,5 +359,5 @@
 	    /* Reserved. */
 	    0, 0, 0, 0, 0, 0
-	    )) << 8;
+	    ) << 8;
 
 	status |= (port->status_change << 16);
@@ -463,6 +463,6 @@
 static errno_t set_port_state_delayed_fibril(void *arg)
 {
-	struct delay_port_state_change *change
-	    = (struct delay_port_state_change *) arg;
+	struct delay_port_state_change *change =
+	    (struct delay_port_state_change *) arg;
 
 	async_usleep(change->delay);
@@ -500,6 +500,6 @@
     hub_port_state_t old_state, hub_port_state_t new_state)
 {
-	struct delay_port_state_change *change
-	    = malloc(sizeof(struct delay_port_state_change));
+	struct delay_port_state_change *change =
+	    malloc(sizeof(struct delay_port_state_change));
 
 	change->hub = hub;
